﻿@page
@model RegisterModel
@{
    ViewData["Title"] = "ثبت نام در لامینگو";
}
<style>
    .noafarincode {
        display: FLEX;
        align-items: center;
        justify-content: space-between;
    }

    input::-webkit-outer-spin-button,
    input::-webkit-inner-spin-button {
        -webkit-appearance: none;
        margin: 0;
    }

    .otpinput {
        width: 100px;
        border-radius: 10px;
        margin: auto;
        letter-spacing: 5px;
        -moz-appearance: textfield;
        text-align: center;
    }

    .ncodeinputes {
        border: 1px solid #ccc;
        border-radius: 10px;
        padding: 5px;
        letter-spacing: 5px;
        max-width: 50px;
    }

    .warningmsg {
        text-align: left;
        font-size: 12px;
        color: #ff6060;
        direction: ltr;
    }

</style>
<div class="modal" id="noafarinmodal" tabindex="-1" role="dialog" aria-labelledby="noafarinmodal" aria-hidden="true">
    <div  id="noareq" class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header" style="background: #ccd0ee;">
                <h6 class="modal-title" id="req_Contract" style="overflow: hidden;font-size: 18px;color: #192476;">
                    ثبت نام از طریق کد نوآفرین
                </h6>
                <button @@click="reset" type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <div class="modal-body">
                <div>
                    <div v-if="step==4" style="display: flex;flex-direction: column;justify-content: center;align-items: center;">
                        <div id="registersuccess" style="width:100px"></div>
                        <span style="font-size: 20px;margin-bottom: 10px;text-align: center;margin-top: 20px;" v-html="endmsg"></span>
                        <p style="font-size: 14px;">شما میتوانید از تخفیف های ویژه شرکت های نوآور استفاده کنید</p>
                        <span v-if="changeloc" style="font-weight: bold;color: #2caf63;">در حال انتقال به سایت ...</span>
                        <span v-if="!changeloc" style="font-weight: bold;color: #2caf63;">
                            <a href="/Identity/Account/Login" class="btn btn-success  login" style="
    color: #c89d69;
    background: #fff;
    border-color: #c89d69;
    width: 100px;
">ورود</a>
                        </span>
                    </div>
                    <div v-if="step == 3">
                        <form id="noaform">
                            <div class="form-group">
                                <label for="name" class="col-form-label">نام و نام خانوادگی : </label>

                                <input v-model="name" class="form-control" data-val="true"
                                       data-val-required="وارد نمودن نام و نام خانوادگی ضروری است"
                                       id="name"
                                       name="name" type="text">
                                <div class="warningmsg" data-valmsg-for="name" data-valmsg-replace="true"></div>

                                <div class="form-group">
                                    <label for="mobile" class="col-form-label">شماره موبایل : </label>
                                    <input disabled :value="mobile" class="form-control" data-val="true" data-val-regex="شماره موبایل وارد شده صحیح نیست" data-val-regex-pattern="^0*?[9]\d{9}$" data-val-required="لطفا شماره موبایل را وارد نمائید" id="mobile" name="mobile" type="number" required="required">
                                    <div class="warningmsg" data-valmsg-for="mobile" data-valmsg-replace="true"></div>
                                </div>

                                <div class="form-group">
                                    <label for="teamname" class="col-form-label">نام استارتاپ/ شرکت : </label>
                                    <input v-model="teamname" class="form-control" data-val="true" data-val-required="لطفا نام استارتاپ/ شرکت را وارد نمائید" id="teamname" name="teamname" type="text" required="required">
                                    <div class="warningmsg" data-valmsg-for="teamname" data-valmsg-replace="true"></div>
                                </div>

                                <div style="
    background: #efefef;
    padding: 20px;
    border-radius: 10px;
">
                                    <p style="
    font-size: 14px;
    text-align: center;
    color: #3b458d;
    font-weight: bold;
">حساب کاربری شما در لامینگو</p>
                                    <div class="form-group">
                                        <label for="email" class="col-form-label">نام کاربری : </label>
                                        <input disabled :value="mobile" class="form-control" data-val="true" data-val-regex="شماره موبایل وارد شده صحیح نیست" data-val-regex-pattern="^0*?[9]\d{9}$" data-val-required="لطفا شماره موبایل را وارد نمائید" id="mobile" name="mobile" type="number" required="required">
                                        <div class="warningmsg" data-valmsg-for="mobile" data-valmsg-replace="true"></div>
                                    </div>
                                    <div class="form-group">
                                        <label for="pass" class="col-form-label">رمز عبور : </label>
                                        <input v-model="password" data-val-required="رمز عبور را وارد نمائید"
                                               class="form-control" data-val="true" id="pass" name="pass" type="password"
                                               required="required"
                                               data-val-length-min="6" data-val-length="رمز عبور حداقل باید دارای 6 کاراکتر باشد .">
                                        <div class="warningmsg" data-valmsg-for="pass" data-valmsg-replace="true"></div>
                                    </div>
                                </div>
                                <div style="display:flex;justify-content:center;margin-top:10px">
                                    <button style="width: 200px;color: #444;" @@click="save" class="btn btn-success" type="button">
                                        <span v-if="!loading">نهایی کردن ثبت نام</span>
                                        <img v-cloak v-if="loading" src="/loader.gif" style="height: 30px;">
                                    </button>
                                </div>
                            </div>

                        </form>

                    </div>
                    <div v-if="step == 1">
                        <div style="text-align:center">
                            <img src="~/Images/irannoafarinlarge.svg" />
                            <h2 style="overflow: hidden;font-size: 15px;margin-bottom: 20px;margin-top: 20px;">کد نوآفرین  را وارد نمایید</h2>
                        </div>
                        <div style="text-align:center">
                            <div class="form-group noafarincode" style="max-width: 350px;margin: 30px auto;">
                                <input class="form-control ncodeinputes"
                                       style="max-width:100px"
                                       tabindex="4"
                                       type="number"
                                       data-val="true"
                                       maxlength="2"
                                       data-val-required=""
                                       id="p1" name="p1" />
                                -
                                <input class="form-control ncodeinputes"
                                       tabindex="3"
                                       type="number"
                                       data-val="true"
                                       maxlength="2"
                                       data-val-required=""
                                       id="p2" name="p2" />
                                -
                                <input class="form-control ncodeinputes"
                                       tabindex="2"
                                       type="number"
                                       data-val="true"
                                       maxlength="2"
                                       data-val-required=""
                                       id="p3" name="p3" />
                                -
                                <input class="form-control ncodeinputes"
                                       tabindex="1"
                                       type="number"
                                       data-val="true"
                                       maxlength="4"
                                       data-val-required=""
                                       id="p4" name="p4" />


                            </div>

                            <div v-html="firstcodewarning" class="warningmsg firstcodewarning" data-valmsg-for="post" data-valmsg-replace="true" style="color: #e17171;margin-bottom: 10px;text-align:center"></div>
                            <button style="width: 200px;color: #444;" @@click="sendreq" class="btn btn-success" type="button">
                                <span v-if="!loading">شروع ثبت نام</span>
                                <img v-cloak v-if="loading" src="/loader.gif" style="height: 30px;">
                            </button>
                        </div>
                    </div>
                    <div v-if="step == 2">
                        <h2 style="overflow: hidden;font-size: 14px;">برای احراز هویت شما ، از سامانه نوآفرین یک پیامک رمز موقت ارسال شده</h2>
                        <p>
                            لطفا کد ارسالی را وارد نمایید
                        </p>
                        <div style="text-align: center;">
                            <div class="form-group noafarincode" style="flex-direction: column;">
                                <input class="form-control otpinput"
                                       type="number"
                                       data-val="true"
                                       maxlength="1"
                                       data-val-required=""
                                       id="otp" name="otp" />

                                <div class="warningmsg" v-html="otpmessage" data-valmsg-for="post" data-valmsg-replace="true" style="color: #e17171;margin-bottom: 10px;font-size: 14px;margin-top: 10px;"></div>
                                <div style="display: flex;width: 200px;justify-content: space-between;margin-top: 20px;">
                                    <a style="font-size: 14px;color: rgb(52, 76, 255);cursor: pointer;" @@click="goback">ارسال مجدد کد تائید</a><span v-cloak v-html="timer"></span>
                                </div>
                            </div>
                            <button style="width: 200px;color: #444;" @@click="verifyotp" class="btn btn-success" type="button">
                                <span v-if="!loading">تائید و ادامه</span>
                                <img v-cloak v-if="loading" src="/loader.gif" style="height: 30px;">
                            </button>
                        </div>
                    </div>


                    <div v-cloak v-if="success" style="display: flex;justify-content: center;align-items: center;flex-direction: column;background: #fff;color: #333;direction: rtl;padding: 20px;">
                        <div v-if="res" id="commentSuccess" style="width:100px">
                        </div>
                        <span class="animated slideInUp" style="text-align:center" v-html="msg">

                        </span>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>

<div id="registerFormWrapper">
    <div class="container" id="RegisterForm">

        <div class="card bg-light">
            <section data-aos="fade-right" data-aos-duration="1000" data-aos-once="true" class="card-body mx-auto" style="max-width:360px;display: flex;flex-direction: column;align-items: center;">
                <h4 class="card-title mt-3 text-center" id="reg-law">ثبت نام در لامینگو</h4>

                <form asp-route-returnUrl="@Model.ReturnUrl" method="post">
                    <div class="row">
                        <div class="col-md-12 col-sm-12">
                            <div asp-validation-summary="All" class="text-danger"></div>
                            <p style="font-weight: 500;font-size: 13px;color: #6e1529;">کاربر گرامی لطفا از صفحه کلید انگلیسی استفاده نمائید .</p>
                            <div class="form-group input-group">
                                <input asp-for="Input.Mobile" class="form-control" placeholder="شماره موبایل" />
                                <div class="input-group-prepend">
                                    <span class="input-group-text"> <i style="margin:0 3px 0 2px;font-size: 1.5em;" class="fa fa-mobile"></i></span>
                                </div>
                            </div>

                            <div class="form-group input-group">
                                <input asp-for="Input.Password" class="form-control" placeholder="رمز عبور" />
                                <i id="PasswordShow" class="fa fa-eye-slash"></i>
                                <div class="input-group-prepend">
                                    <span class="input-group-text"> <i class="fa fa-lock"></i></span>
                                </div>
                            </div>

                        </div>
                        <div class="wrapper-Register-User">
                            <button type="submit" class="btn btn-success">ثبت نام</button>
                        </div>
                        <p class="text-center button-login"><a asp-area="Identity" asp-page="/Account/Login"> ورود به حساب کاربری لامینگو </a></p>
                    </div>
                </form>

                <div>
                    <button data-toggle="modal" data-target="#noafarinmodal" type="submit" class="btn btn-block" value="Noafrin" title="ثبت نام از طریق نوآفرین" style="background: #daf0ff;border: 2px solid #1779ba;padding: 5px 20px;width: auto;margin: auto;">
                        <img src="/Images/irannoafarin.png" style="width: 30px;">
                        ثبت نام از طریق نوآفرین
                    </button>
                </div>

                @*<p class="divider-text">
            <span> </span>
        </p>

        <form id="external-account" asp-page="./ExternalLogin" asp-route-returnUrl="@Model.ReturnUrl" method="post" class="form-horizontal">
            <p>
                <button type="submit" class="btn btn-block btn-google" name="provider" value="Google" title="ورود از طریق اکانت گوگل">
                    <i class="fa fa-google-plus"></i>
                    ورود از طریق گوگل
                </button>
            </p>
        </form>*@
            </section>
        </div>
    </div>
</div>


@section Scripts {
    <script src="~/Publish/Validation.min.js"></script>
    <script src="~/lib/vue.js" type="text/javascript"></script>
    <script src="~/lib/lottie.min.js" type="text/javascript"></script>
    <script>
        function startTimer(duration) {
            var timer = duration, minutes, seconds;
            var mytimer = setInterval(function () {
                minutes = parseInt(timer / 60, 10);
                seconds = parseInt(timer % 60, 10);

                minutes = minutes < 10 ? "0" + minutes : minutes;
                seconds = seconds < 10 ? "0" + seconds : seconds;

                _noafarinrequest.$data.timer = minutes + ":" + seconds;

                if (--timer < 0) {
                    clearInterval(mytimer)
                    _noafarinrequest.$data.timer = null;
                }
            }, 1000);
        }

        Vue.component('preloader', {
            props: ['visible'],
            template: '<div v-if="visible" style="display: flex;justify-content: center;margin: 30px auto;"><img src="/loader.gif" /></div>'
        });

        var _noafarinrequest = new Vue({
            el: '#noareq',
            data: {
                user: {},
                noafarin_code: null,
                token: null,
                code: null,
                success: false,
                res: null,
                msg: null,
                timer: null,
                loading: false,
                otpmessage: null,
                step: 1,
                name: null,
                mobile: null,
                email: null,
                password: null,
                city: null,
                company : null,
                endmsg: "",
                teamname: "",
                changeloc: false,
                firstcodewarning : null
            },
            methods: {
                sendreq: function () {
                    if (!_noafarinrequest.$data.loading) {
                        _noafarinrequest.$data.step = 1;
                        _noafarinrequest.$data.timer = null;

                        var p1 = $("#p1").val();
                        var p2 = $("#p2").val();
                        var p3 = $("#p3").val();
                        var p4 = $("#p4").val();
                        var noafarin_code = `${p4}-${p3}-${p2}-${p1}`;
                        var validation = p1.length == 4 && p2.length == 2 && p3.length == 2 && p4.length == 2
                        if (validation) {
                            _noafarinrequest.$data.firstcodewarning = null;

                            _noafarinrequest.$data.loading = true;
                            var ret = $.ajax({
                                type: "POST",
                                url: "/api/Noafaringenerate",
                                data: { noafarin_code },
                                dataType: "json",
                                success: function (response) {

                                    _noafarinrequest.$data.noafarin_code = noafarin_code;
                                    if (response.token.toString().indexOf('error') > -1) {
                                        _noafarinrequest.$data.loading = false;
                                        _noafarinrequest.$data.firstcodewarning = "اشکال در ارتباط با سرور نوآفرین"
                                    }
                                    else {
                                        _noafarinrequest.$data.step = 2;
                                        _noafarinrequest.$data.token = response.token;
                                        _noafarinrequest.$data.loading = false;

                                        startTimer(120);
                                    }
                                },
                                error: function () {
                                    _noafarinrequest.$data.loading = false;
                                }
                            });

                        }
                        else {
                             _noafarinrequest.$data.firstcodewarning = "کد وارد شده صحیح نیست"
                        }
                    }

                },
                verifyotp: function () {
                    _noafarinrequest.$data.otpmessage = null;
                    if (!_noafarinrequest.$data.loading) {
                        var code = $("#otp").val();

                        if (code.length == 4) {
                            _noafarinrequest.$data.loading = true;
                            var ret = $.ajax({
                                type: "POST",
                                url: "/api/Noafarinverify",
                                data: { noafarin_code: _noafarinrequest.$data.noafarin_code, code, token: _noafarinrequest.$data.token },
                                dataType: "json",
                                success: function (response) {

                                    _noafarinrequest.$data.step = 3;
                                    var Data = response.data;

                                    _noafarinrequest.$data.name = Data.Name.value + " " + Data.FamilyName.value;
                                    if (Data.CellPhoneNumber.value.toString().substring(0, 2) == '98') {
                                        _noafarinrequest.$data.mobile = "0" + Data.CellPhoneNumber.value.toString().substring(2, 12);
                                    }
                                    else {
                                        _noafarinrequest.$data.mobile = Data.CellPhoneNumber.value;
                                    }
                                    try {
                                        _noafarinrequest.$data.company = Data.StartupTeamName.value  + " | " + Data.CompanyName.value;
                                        _noafarinrequest.$data.city = Data.City.value;
                                        _noafarinrequest.$data.email = Data.CeoEmail.value;
                                    } catch (e) {

                                    }

                                    _noafarinrequest.$data.loading = false;

                                    //setTimeout(function () {
                                    //    lottie.loadAnimation({
                                    //        container: document.getElementById('commentSuccess'), // the dom element that will contain the animation
                                    //        renderer: 'svg',
                                    //        width: 50,
                                    //        height: 50,
                                    //        loop: false,
                                    //        autoplay: true,
                                    //        path: '/widget/success.json' // the path to the animation json
                                    //    });
                                    //}, 200);
                                },
                                error: function () {
                                    _noafarinrequest.$data.loading = false;
                                    _noafarinrequest.$data.otpmessage = "کد ارسالی اشتباه است";

                                }
                            });

                        }
                        else {
                            _noafarinrequest.$data.otpmessage = "کد را وارد نمایید";
                        }
                    }
                },
                save: function () {
                    $.validator.unobtrusive.parse("#noaform");
                    $('#noaform').validate();
                    if (!_noafarinrequest.$data.loading && $('#noaform').valid()) {
                        if (true) {
                            _noafarinrequest.$data.loading = true;
                            var ret = $.ajax({
                                type: "POST",
                                url: "/api/saveuser",
                                data: {
                                    noafarin_code: _noafarinrequest.$data.noafarin_code,
                                    code: _noafarinrequest.$data.code,
                                    token: _noafarinrequest.$data.token,
                                    name: _noafarinrequest.$data.name,
                                    mobile: _noafarinrequest.$data.mobile,
                                    city: _noafarinrequest.$data.city,
                                    company: _noafarinrequest.$data.company,
                                    email: _noafarinrequest.$data.email,
                                    password: _noafarinrequest.$data.password
                                },
                                dataType: "json",
                                success: function (response) {
                                    _noafarinrequest.$data.endmsg = response.message;
                                    _noafarinrequest.$data.step = 4
                                    console.log(response);
                                    if (response.result) {
                                        setTimeout(function () {
                                            lottie.loadAnimation({
                                                container: document.getElementById('registersuccess'), // the dom element that will contain the animation
                                                renderer: 'svg',
                                                width: 80,
                                                height: 80,
                                                loop: false,
                                                autoplay: true,
                                                path: '/widget/success.json' // the path to the animation json
                                            });
                                            window.location = '/Contracts/List';
                                            _noafarinrequest.$data.changeloc = true;
                                        }, 100);
                                    }
                                    else {
                                        setTimeout(function () {
                                            lottie.loadAnimation({
                                                container: document.getElementById('registersuccess'), // the dom element that will contain the animation
                                                renderer: 'svg',
                                                width: 80,
                                                height: 80,
                                                loop: false,
                                                autoplay: true,
                                                path: '/widget/failed.json' // the path to the animation json
                                            });
                                        }, 100);
                                    }

                                },
                                error: function () {
                                    _noafarinrequest.$data.loading = false;

                                }
                            });

                        }

                    }
                },
                reset: function () {
                    _noafarinrequest.$data.loading = false;
                    _noafarinrequest.$data.timer = null;
                    _noafarinrequest.$data.code = null;
                    _noafarinrequest.$data.step = 1;
                },
                goback: function () {
                    if (_noafarinrequest.$data.timer == null) {
                        _noafarinrequest.$data.loading = false;
                        _noafarinrequest.$data.timer = null;
                        _noafarinrequest.$data.code = null;
                        --_noafarinrequest.$data.step;
                    }

                }
            }
        });

    </script>


    @*<partial name="_ValidationScriptsPartial" />*@
    <script>

//var input = document.getElementById('Input_Mobile');
//var charMap = [
//  {
//    pattern: /\u0660/,
//    replace: '0'
//  },
//  {
//    pattern: /\u0661/,
//    replace: '1'
//  },
//  {
//    pattern: /\u0662/,
//    replace: '2'
//  },
//  {
//    pattern: /\u0663/,
//    replace: '3'
//  },
//  {
//    pattern: /\u0664/,
//    replace: '4'
//  },
//  {
//    pattern: /\u0665/,
//    replace: '5'
//  },
//  {
//    pattern: /\u0666/,
//    replace: '6'
//  },
//  {
//    pattern: /\u0667/,
//    replace: '7'
//  },
//  {
//    pattern: /\u0668/,
//    replace: '8'
//  },
//  {
//    pattern: /\u0669/,
//    replace: '9'
//  },

//];

//input.onkeyup = function (e) {
//  console.log(e);
//  for (i = 0; i < charMap.length; i++) {
//		input.value = input.value.replace(charMap[i].pattern, charMap[i].replace);
//  }
//}



    </script>
}
